package com.lz.modules.performance.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
 * <p>
 * </p>*任务表
 * @author quyixiao
 * @since 2020-12-09
 */

@Data
@TableName("lz_result_task")
@ApiModel(value = "任务表")
public class ResultTask implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //任务名称
    @ApiModelProperty(value = "任务名称", name = "name")
    private String name;
    //lz_result_detail 的id
    @ApiModelProperty(value = "lz_result_detail 的id", name = "detailId")
    private Long detailId;
    //任务的当前进度
    @ApiModelProperty(value = "任务的当前进度", name = "processRate")
    private BigDecimal processRate;
    //排序由小到大
    @ApiModelProperty(value = "排序由小到大", name = "orderBy")
    private Integer orderBy;
    /**
     *
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 任务名称
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 任务名称
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * lz_result_detail 的id
     * @return
     */
    public Long getDetailId() {
        return detailId;
    }
    /**
     * lz_result_detail 的id
     * @param detailId
     */
    public void setDetailId(Long detailId) {
        this.detailId = detailId;
    }

    /**
     * 任务的当前进度
     * @return
     */
    public BigDecimal getProcessRate() {
        return processRate;
    }
    /**
     * 任务的当前进度
     * @param processRate
     */
    public void setProcessRate(BigDecimal processRate) {
        this.processRate = processRate;
    }

    /**
     * 排序由小到大
     * @return
     */
    public Integer getOrderBy() {
        return orderBy;
    }
    /**
     * 排序由小到大
     * @param orderBy
     */
    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }

    @Override
    public String toString() {
        return "ResultTask{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",name=" + name +
                ",detailId=" + detailId +
                ",processRate=" + processRate +
                ",orderBy=" + orderBy +
                "}";
    }
}
